#  TMC_seg075_FinalParSettings.R 
#  (c) wwosniok@math.uni-bremen.de

#  Truncated minimum chi-square estimation
#
#  Produce a summary of all input parameters including those that depend
#  on the data file information, write to log
#  
#  wird von seg070_ReadData aufgerufen, nachdem die Daten eingelesen wurden  
#
#  TODO       
#  -  

#  CHANGE HISTORY
#  05.07.2023 Output suppressed
#  28.12.2022 Plot coordination added
#  08.11.2022 Last change (clean up)
# ===========================================================================

# ===========================================================================
if (print.log.message) { cat("%%%   TMC_seg075_FinalParSettings  Start\n") }
# ===========================================================================

#  Percentile plots can be made either for fixed or for dynamic age classes and
#  only if age ist given in the data.
#  Organize the plot requests correspondingly.

if (is.na(spalte.a) | is.na(spalte.s))
{ 
  # No age or no sex in the data
  plot.fig092.010 <- FALSE
  plot.fig092.020 <- FALSE
  plot.fig092.030 <- FALSE
  plot.fig092.040 <- FALSE
}

if (age.class.style =="fix")
{
  plot.fig092.030 <- FALSE
  plot.fig092.040 <- FALSE
}  

if (age.class.style =="dyn")
{
  plot.fig092.010 <- FALSE
  plot.fig092.020 <- FALSE
}  

# ----------------------------------------------------------------------------
  

#if (file.exists("../temp/ShowValue1.txt")) 
#{ 
#  ok <- file.remove("../temp/ShowValue1.txt") 
#}
#if (file.exists("../temp/ShowValue2.txt")) 
#{ 
#  ok <- file.remove("../temp/ShowValue2.txt") 
#}

obj2.list <- ls()
#obj2.list

for (obj in obj2.list)
{
  #  Changed in response to R's changed definition of &&
  cgo <- class(get(obj))   #  can have more than 1 component!
  cgo.n <- length(cgo)
  cond2 <- FALSE
  for (i in 1:cgo.n)
  {
    cond2 <- cond2 | (cgo[i] %in% c("character", "numeric", "logical"))
  }

  #if ( (length(get(obj)) == 1) & cond2)
  #{
  #  cat('cat("', obj[1], '", ', '";",   ', obj[1], ', fill=256)', 
  #      fill=256, sep="", file="../temp/ShowValue1.txt", append=TRUE)
  #}
}

#sink("../temp/ShowValue2.txt", split=FALSE, append=FALSE)
#source("../temp/ShowValue1.txt")
#sink()

#if(exists("A2")) { rm(list="A2") }

#A2 <- read.table(file="../temp/ShowValue2.txt", header=FALSE, sep=";", 
#                stringsAsFactors=FALSE)
#names(A2) <- c("VarName", "Value2") 

#A  <- merge(A1, A2, by="VarName", all.y=TRUE) 

#  If this is a simulation: Put A in tab/3_scen/<folder>
#if (eval.rep) { save(A, file=outname.scen.log.rda) }

#  Show only new or modified values in txt file
#new.or.mod <-      (A[ ,"Value1"] !=  A[ ,"Value2"] ) |
#              is.na(A[ ,"Value1"] !=  A[ ,"Value2"] )

#sink(file=logfile,split=FALSE, append=TRUE)

#cat("\nFinal parameter settings, new or different from previous list\n")

#print(A[new.or.mod, ])

#cat("\n",
#    "\n =====================================================================",
#    "\n")

#sink()

# ===========================================================================
if (print.log.message) { cat("%%%   TMC_seg075_FinalParSettings  End\n") }
# ===========================================================================
